Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 239800 - [80cat] merge files of package into a logical view
[80cat] merge files of package into a logical view
Status: RESOLVED WONTFIX
Product: projects
Classification: Unclassified
Component: Generic Projects UI
8.0
PC Windows 8
: P3 with 1 vote (vote)
: 8.0
Assigned To: Tomas Stupka
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-25 22:47 UTC by muellermi
Modified: 2016-07-07 08:39 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
IDE log (75.75 KB, text/plain)
2013-12-25 22:47 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2013-12-25 22:47:33 UTC
Product Version = NetBeans IDE Dev (Build 201312250002)
Operating System = Windows 8 version 6.2 running on amd64
Java; VM; Vendor = 1.8.0-ea
Runtime = Java HotSpot(TM) 64-Bit Server VM 25.0-b61

Given project tree:

Source Packages
  mypackage
    MyClass
Test Packages
  mypackage
    MyClassTest

Provide a logical view like this:

Merged Packages
  mypackage
    MyClass
    MyClassTest

This might be a readonly view. Or, if the user chooses to add a new class, NB shall ask for the right physical location (eg. Source or test).
Logical view will not only merge Source Packages and Test Packages, but all packages in any source tree.
Comment 1 muellermi 2013-12-25 22:47:37 UTC
Created attachment 143456 [details]
IDE log
Comment 2 Marian Mirilovic 2014-01-09 14:56:06 UTC
no plans to do that
Comment 3 muellermi 2014-01-09 15:39:28 UTC
Who has no plans to do this?

This is a sugestion for an enhancement, not a bug. Let the community vote!
Comment 4 Ondrej Vrabec 2014-01-10 06:55:39 UTC
project related (just as Reduced Tree view)
Comment 5 kimsp 2014-01-10 07:25:52 UTC
I don't think this is a good idea. 

The Logical view is not standard (not something you will find if you browse your files) and it is not standard in other ides (hence we break what the user is used to).

Furthermore, the logical folder should be restricted (can a user create a file in it - probably not or the dialog should ask him if it a test or production class). 

All in all it would be confusing and I see no benefit considering how easy it is to navigate to and from test code in the ide
Comment 6 hstenger 2014-01-10 10:40:51 UTC
I never missed this feature but I still wanted to see how hard it would be to implement. So I whipped up a proof of concept [1] which piggy-backs on the existing functionality by providing a merged view of the node hierarchies of a project's source groups. My conclusions are:

- I still don't miss the feature. If it was implemented I would prefer it to be optional or in a separate plugin entirely.
- Don't merge node hierarchies. Merge the underlying model. ;)

[1]: https://github.com/stengerh/nb-merged-source-view
Comment 7 Martin Balin 2016-07-07 08:39:15 UTC
This old bug may not be relevant anymore. If you can still reproduce it in 8.2 development builds please reopen this issue.

Thanks for your cooperation,
NetBeans IDE 8.2 Release Boss


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo